library dart_arango_min;

export 'src/dart_arango_min_base.dart';
export 'src/dart_arango_min_query.dart';

import 'package:dart_arango_min/src/dart_arango_min_base.dart' as base;
import 'package:dart_arango_min/src/dart_arango_min_query.dart' as query;

extension ArangoClientQuery on base.ArangoDBClient {

  /// Creates new [QueryWithClient] (with saved link to client) object for continue to constructing it later.
  query.QueryWithClient newQuery(){
    return query.QueryWithClient( this, []);
  }

}